* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
}

body {
  width: 100vw;
  height: 100vh;

  display: flex;
  flex-direction: column;

  background-color: #16181c; /* Color del fondo */
  color: rgb(238, 238, 238);
}
/* TOPBAR */
.topbar {
  width: 100%;
  height: 70px;
  background-color: #121417;
  border-bottom: 1px solid #2a2f36;
  display: flex;
  flex-direction: row;

  position: fixed;
}

.topbar-left {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-left: 0px;
  gap: 1.5rem;
}

.logo {
  display: flex;

  margin-left: 1.5rem;
  border: none;
  background-color: transparent;
  align-items: center;

  font-weight: bold;
  color: rgb(238, 238, 238);
  font-size: 1.25rem;
}

.logo:hover {
  color: #6f7dff;
  cursor: pointer;
}

.select-page-btn {
  height: 100%;
  text-underline-position: none;
  border: none;
  background: transparent;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #9aa3ae;
  font-size: 1rem;
  font-weight: 500;
  padding: 0.6rem;
}

.select-page-btn:hover {
  color: #6f7dff;
  background-color: #9aa3ae2c;
  border-radius: 10px;
  cursor: pointer;
}

.select-page-btn.selected {
  color: #d8dce2;
  background-color: #9aa3ae2c;
  border-radius: 10px;
}

.topbar-right {
  display: flex;
  align-items: center;
  margin-left: auto;
  margin-right: 1rem;
}
#globe-btn {
  position: relative;
}
.language-container {
  display: none;
  flex-direction: column;
  background-color: #121417;
  border: 2px solid #2a2f36;

  position: absolute;
  top: 9vh;
  right: 1rem;
  width: auto;
  border-radius: 8px;
}

.show {
  display: flex;
}

.language-container button {
  display: flex;
  align-items: center;
  border-bottom: 2px solid #2a2f36;
  background-color: transparent;
  border: none;

  padding: 0.5rem;
  text-decoration: none;
  color: #d8dce2;
}

.language-container button:hover {
  background-color: #6f7dff;
  border-radius: 8px;

  color: white;
}

/* ICONOS */

.icon-btn {
  width: 24px;
  height: 24px;
  border: none;
  background: transparent;
  display: flex;
  align-items: center;
  justify-content: center;
}

.icon-btn svg {
  width: 18px;
  height: 18px;
  color: #9aa3ae;
  transition: color 0.15s ease;
}

.icon-btn:hover svg {
  color: #6f7dff;
  cursor: pointer;
}

/* MAIN */

.main {
  display: flex;
  flex-direction: column;
  width: 100vw;
}

/* PRIMERA PÁGINA: INICIO */

/* FIRST SECTION */

.first-section {
  width: 100%;
  height: 92vh;

  padding-top: 5.25rem;
  padding-left: 3.5rem;

  background-color: #16181c;
  display: none; /* flex */
  flex-direction: row;
}
.first-section-left {
  display: inline-flex;
  flex-direction: column;
  height: 85vh;
  width: 50%;
}

.slogan {
  font-size: 3.5rem;
  margin-top: 2rem;
  margin-bottom: 1.5rem;
  cursor: default;

  flex-wrap: nowrap;
  white-space: nowrap;
}
.negrita {
  font-weight: bold;
}
.break-line {
  display: block;
}

.subslogan {
  color: #b3bac2;
  margin-bottom: 3.5rem;

  cursor: default;

  flex-wrap: nowrap;
  white-space: nowrap;
}

.get-app-buttons {
  display: flex;
  flex-direction: row;
  gap: 1.2rem;
}

.get-app-btn {
  width: 260px;
  height: 60px;

  font-size: 1.25rem;
  font-weight: bold;

  border: none;
  border-radius: 18px;
  background-color: #6f7dff;
  justify-content: center;
  color: rgb(238, 238, 238);

  cursor: pointer;
}

.more-platforms-btn {
  font-size: 1.25rem;
  font-weight: 600;

  border: none;
  background-color: transparent;
  justify-content: center;
  color: #b3bac2;

  cursor: pointer;
  transition: transform 0.2s ease-in-out;
}
.more-platforms-btn:hover {
  transform: scale(1.02);
}

.first-section-right {
  color: #f9fcff;
  display: flex;
  flex: 1;
  justify-content: center;
  margin-bottom: 6rem;
  margin-right: 3rem;
}

.reveal-text {
  display: flex;
  align-items: center;
  gap: 0.5rem;

  flex-wrap: nowrap;
  white-space: nowrap;
  transition: transform 0.2s ease-in-out;
}
.reveal-text:hover {
  transform: scale(1.04);
}

/* ANIMACIÓN FÓRMULA */
.reveal-text span {
  animation: slideUp 0.6s ease-out forwards;
  animation-delay: calc(var(--i) * 0.1s);
  display: inline-block;
  opacity: 0;
  transform: translateY(3rem);

  flex-shrink: 0;
}

@keyframes slideUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* FÓRMULA MATEMÁTICA PRIMERA SECCIÓN */
.fraction {
  display: inline-flex;
  flex-direction: column;
  align-items: center;
  line-height: 1;
  letter-spacing: 0.05rem;

  font-size: 3rem;

  flex-shrink: 0;
}
.frac-num {
  font-family: "KaTeX Main";
}
.frac-num.den {
  margin-left: 2.3rem;
}
sup {
  font-size: 2rem;
  font-family: "KaTeX Main";
}

.letra-italic {
  font-style: italic;
  font-family: "KaTeX Math";
}

.linea-fraction {
  width: 100%;
  border: none;
  border-top: 2px solid #f9fcff;
  margin-top: 0.5rem;
  margin-bottom: 0.2rem;
}
.sin-linea-fraction {
  width: 100%;
  border: none;
  margin: 0.063rem 0;
}

.cos {
  font-size: 2.5rem;
  font-family: "KaTeX Main";
}
.infinity {
  font-size: 2.3rem;
  margin-bottom: -1.2rem;
  margin-right: 0.5rem;
  font-family: "KaTeX Main";
}
.sum {
  font-size: 5.5rem;
  font-family: "KaTeX Main";
  font-weight: lighter;
}
.n0 {
  font-size: 1.5rem;
  margin-top: -0.2rem;
  margin-bottom: 0.5rem;
  font-family: "KaTeX Main";
  letter-spacing: 0.1rem;
}

/* SECOND SECTION */

.second-section {
  height: 80vh;
  width: 100%;

  align-items: center;

  display: none; /* flex */
  flex-direction: column;
}

.second-section-container {
  height: 70vh;
  width: 80%;
  border-radius: 20px;
  background-color: #2a2f36;
  display: flex;
  flex-direction: row;
  padding: 1.5rem;
  align-items: center;
  flex-shrink: 0;
}

.benefits-heading {
  cursor: default;
}
.benefits-list {
  margin-top: 0.5rem;
  margin-bottom: 2rem;
  font-size: 1.125rem;
  color: #d8dce2;
  cursor: default;
}

/* THIRD SECTION */

.third-section {
  height: 440px;
  width: 100%;

  align-items: center;

  display: none; /* flex */
  flex-direction: column;
}

.third-section-container {
  width: 80%;
  border-radius: 20px;
  background-color: #2a2f36;
  display: flex;
  flex-direction: column;
  padding: 2rem;
  margin-top: 1.5rem;
  cursor: default;
}
.attention-btn {
  width: 36px;
  height: 36px;
  border: none;
  background: transparent;
  display: flex;
  align-items: center;
  justify-content: center;
}
.attention-btn svg {
  width: 24px;
  height: 24px;
  color: #9aa3ae;
}

.third-section-container-top {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
  margin-bottom: 1rem;
}
.third-section-container-bottom {
  flex: 1;
  font-size: 1.125rem;
}

.who-knows {
  font-size: 1.125rem;
  margin-top: 2rem;
  color: #d8dce2;
  cursor: default;
}

/* FOURTH SECTION */

.fourth-section {
  height: 340px;
  width: 100%;

  display: none; /* flex */
  flex-direction: column;
}

.fourth-h2 {
  font-size: 2rem;
  margin-left: 24vh;
  margin-bottom: 1rem;
  cursor: default;
}
.fourth-section-container {
  font-size: 1.125rem;
  border-radius: 20px;
  background-color: #2a2f36;
  display: flex;
  flex-direction: column;
  padding: 2rem;
  align-items: center;
  align-self: center;
}
.fourth-section-container-top {
  margin-bottom: 2rem;
  cursor: default;
}
.fourth-section-list {
  margin-bottom: 1rem;
  cursor: default;
}

.discord-server-link {
  color: inherit;
  text-decoration: underline;
}
.discord-server-link:hover {
  color: #6f7dff;
  text-decoration: underline;
}

code {
  background: #252b33;
  border: 1px solid #2a2f36;
  border-radius: 8px;
  padding: 0.25rem 0.25rem;

  color: #d8dce2;

  font-family: "JetBrains Mono", monospace;
  font-size: 1rem;
}

/* FIFTH SECTION */

.fifth-section {
  height: 500px;
  width: 100%;

  display: none; /* flex */
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 2rem;
}
.fifth-h2 {
  font-size: 2rem;
  margin-bottom: 1rem;
  cursor: default;
}
.fifth-subheader {
  font-size: 1.125rem;
  display: flex;
  align-self: center;
  margin-bottom: 4rem;
  cursor: default;
}

.fifth-square-logo-container {
  height: 120px;
  width: 120px;
  border-radius: 20px;
  background-color: #2a2f36;
  display: flex;
  flex-direction: row;
  padding: 0.5rem;
  align-items: center;

  align-items: center;
  justify-content: center;
  margin-bottom: 3.5rem;
  transition: transform 0.2s ease-in-out;
}
.fifth-square-logo-container svg {
  color: #9aa3ae;
}
.fifth-square-logo-container:hover {
  transform: scale(1.08);
}

.get-app-btn {
  width: 260px;
  height: 60px;

  font-size: 1.25rem;
  font-weight: bold;

  border: none;
  border-radius: 18px;
  background-color: #6f7dff;
  justify-content: center;
  color: rgb(238, 238, 238);

  cursor: pointer;
  transition: transform 0.2s ease-in-out;
}
.get-app-btn:hover {
  transform: scale(1.04);
}

/* SEGUNDA PÁGINA: DOWNLOAD */

/* SEXTA SECCIÓN */

.sixth-section {
  width: 100%;
  height: 75vh;

  padding-top: 2rem;

  background-color: #16181c;
  display: none; /* flex */
  flex-direction: column;
  align-items: center;
}

.sixth-h2 {
  font-size: 2.5rem;
  margin-top: 6rem;
  margin-bottom: 4rem;
}

.platforms-buttons-container {
  display: flex;
  border: #9aa3ae;
}

.platform-btn {
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;

  gap: 0.25rem;

  color: rgb(238, 238, 238);
  font-size: 1rem;

  cursor: default;
}

.platform-btn svg {
  width: 24px;
  height: 24px;
  color: rgb(238, 238, 238);
  transition: color 0.15s ease;
}

.download-platform-btn {
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: transparent;

  gap: 0.2rem;

  color: rgb(238, 238, 238);
  font-size: 1rem;
  font-style: normal;
  cursor: pointer;

  transition: color 0.15s ease;
}

.download-platform-btn svg {
  width: 18px;
  height: 18px;
  color: rgb(238, 238, 238);
  transition: color 0.15s ease;
}
.download-platform-btn:hover,
.download-platform-btn:hover svg {
  color: #6f7dff;
  text-decoration: underline;
}

table,
th,
td {
  border: 1px solid #9aa3ae80;
  border-collapse: collapse;
}

th,
td {
  border-radius: 50px;

  padding: 1rem;
}

/* TERCERA PÁGINA */

/* SÉPTIMA SECCIÓN */

.seventh-section {
  width: 100%;
  height: auto;

  padding-top: 2.25rem;
  padding-left: 3.5rem;
  margin-bottom: 2rem;

  background-color: #16181c;
  display: none; /* flex */
  flex-direction: column;

  align-items: center;
}
.seventh-section-container {
  height: 80vh;
  width: 80%;
  border-radius: 20px;
  background-color: #2a2f36;
  display: flex;
  flex-direction: column;
  padding: 3rem;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;

  font-size: 1.2rem;
}

/* FOOTER */

.footer {
  border-top: 2px solid #2a2f36;
  height: 16vh;
  display: flex;
  flex-direction: row;
  width: 100vw;
  background-color: #121417;
}
.footer-left {
  align-content: center;
  padding-left: 2rem;
}

.no-bullets {
  list-style: none;
}
.footer-right {
  height: 100%;
  display: flex;
  flex-direction: row;
  gap: 2rem;
  margin-right: 3rem;
  margin-top: 1.5rem;
  margin-left: auto;
  color: #d8dce2;
}
.list-heading {
  color: #9aa3ae;
  font-weight: bold;
  margin-bottom: 0.2rem;
  cursor: default;
}
.footer-list {
  margin-bottom: 0.1rem;
  cursor: pointer;
  color: #d8dce2;
  text-decoration: none;
}
.footer-list:hover {
  color: #6f7dff;
  text-decoration: underline;
}

.terms-of-service,
.privacy-policy {
  height: auto;
  width: 70vw;
  display: none;
  flex-direction: column;
  margin-top: 7rem;
  margin-bottom: 2rem;
  gap: 1rem;
  margin-left: 10rem;
}

.terms-privacy-interline {
  font-size: 1.2rem;
  display: flex;
  flex-direction: column;

  gap: 1.5rem;

  margin-bottom: 2rem;
}

.terms-privacy-interline span {
  display: block;
}

.active {
  display: flex;
}
